/* $Log: GridBagDialog.java,v $
# Revision 1.1  1996/07/11  01:17:45  hma
# Initial revision
#
 */

package gui;

import java.awt.*;

class GridBagDialog extends Dialog {
  protected GridBagLayout gbl;
  protected GridBagConstraints gbc;

  public GridBagDialog(Frame parent, String title, boolean modal) {
    super(parent, title, modal);
    gbl = new GridBagLayout();
    setLayout(gbl);
    gbc = new GridBagConstraints();
  }

  protected void add(Component c, int x, int y, int w, int h) {
    gbc.gridx = x;
    gbc.gridy = y;
    gbc.gridwidth = w;
    gbc.gridheight = h;
    gbl.setConstraints(c, gbc);
    add(c);
  }
}  

